**`Rocco`[NAME]** -NL- London UK H -NL- **`+(44)7720064157`[PHONES_PHONE]** -NL- De Rosa -NL- B **`rocco.derosa1982@gmail.com`[EMAILS_EMAIL]** Í scholar.google.it/citations? -NL- user=5MfnAewAAAA&user=5MfnAewAAAAJ rocco-de-rosa-72a46814 -NL- curriculum vitae -NL- **`EDUCATION`[EDUCATION_HEADING]** -NL- 2011–2014 **`PhD`[EDUCATION_DEGREE]** - **`Mathematics and Statistics for Computational Science`[EDUCATION_COURSE]**, **`Università -NL- degli studi di Milano, Milan, supervised by Nicolò Cesa-Bianchi.`[EDUCATION_INSTITUTE]** -NL- Thesis: Confidence-based and Nonparametric Classification: Applications to Credal -NL- Classification, Online and Active Learning. -NL- 2009–2011 **`MSc`[EDUCATION_DEGREE]** (110/110 cum laude) - **`Informatics`[EDUCATION_COURSE]**, **`Università degli studi di Milano, Milan`[EDUCATION_INSTITUTE]**. -NL- Thesis: “Time series classification by precise and imprecise Markov models with -NL- applications in action recognition” -NL- 2001–2003 **`BSc`[EDUCATION_DEGREE]** - **`Digital Communications`[EDUCATION_COURSE]**, **`Università degli studi di Milano, Milan`[EDUCATION_INSTITUTE]**. -NL- 1996–2001 **`Upper School `[EDUCATION_INSTITUTE]**- **`Informatics`[EDUCATION_DEGREE]**, I.T.I.S Stanislao Cannizzaro, Milan. -NL- **`RELEVANT WORK EXPERIENCE`[WORK_EXPERIENCE_HEADING]** -NL- 2017–present **`Head of Data Science`[EMPLOYER_ROLE]**, **`Warwick Analytics`[EMPLOYER_COMPANY_NAME]**, London. -NL- R&D, Design and Development of an automatic Machine Learning platform for -NL- unstructured data prediction via Active Learning. -NL- Skill acquired: -NL- { Managing and mentoring a team of 3 DS through Agile software development -NL- (JIRA, Portafolio); -NL- { Customer relationship management from Machine Learning prospective (Siemens, -NL- Volvo, RBS, IGQ). -NL- { Automate Machine Learning experiments for release robust and clean code to -NL- share within the team (Framework design on top of scikit-learn, NLTK and Spark); -NL- { Active learning predictive analytics (research: https://scholar.google.it/ citations? -NL- user=5MfnAewAAAAJ&hl=en); -NL- { NLP pipelines automation to speed up the model tuning on di erent data problem -NL- realities (NLTK, Spark 2.2, AWS); -NL- { Automate data science development deliveries process (Investigation, Assumption, -NL- Experi-ments, Analysys Results, Coding within a shared framework and -NL- production) (development tools: Slack, Confluence, Jenkins, Git, Bitbucket); -NL- 2016–2017 **`Data Science Manager`[EMPLOYER_ROLE]**, **`Rank Group`[EMPLOYER_COMPANY_NAME]**, London. -NL- Customer behaviour modeling. Single-Customer Lifetime Value prediction. Website -NL- cu-stomization through machine learning. Recommendation system to increase the -NL- customer lifetime. Early Churn Prediction and Personalised Interventions. -NL- Skill acquired: -NL- { Working in a big DS team (12) for a multinational company; -NL- { Lead the company towards the most e ective cutting-edge tecnologies and -NL- approaches to improve the data-driven decision processes; -NL- { Productionize DS models trought BIG DATA technologies (Zeppelin, Hadoop, PIG, -NL- HBASE, HIVE, and SPARK within Microsoft AZURE framework); -NL- { Mentoring young Data Scientists. -NL- 2015–2016 **`Postdoctoral Researcher`[EMPLOYER_ROLE]**, **`University of Rome "La Sapienza", Rome`[EMPLOYER_COMPANY_NAME]**. -NL- Scalable Predictive models applied to Computer -NL- Vision. Skill acquired: -NL- { Mentor of PHDs (2) and Master (6) students. -NL- { Real time Activity-Object Image/Video Recognition (MATLAB, OpenCV, -NL- TensorFlow, Theano, Keras); -NL- { Open world recognition (scalable incremental learning methods, automatic -NL- detection of new classes); -NL- { Active Learning and Domain adaptation; -NL- { CNN(Conv. Neural Network)-based recognition (DeepLearning feature) (TensorFlow); -NL- 2016–2016 **`Data Scientist`[EMPLOYER_ROLE]** - Contractor, **`IncreaseOnline`[EMPLOYER_COMPANY_NAME]**, Amsterdam. -NL- Real time Bidding: dinamically adjusting floor price in RTB auctions. Optimise the -NL- publisher’s revenue. -NL- Skill acquired: -NL- { Machine learning applied to Real Time Bidding research (MATLAB); -NL- { Predictions with Partial feedback (multi-armed bandit algorithms) solution (Python, -NL- Java, MOA, Weka); -NL- 2015–2015 **`Data Scientist `[EMPLOYER_ROLE]**- Business Intelligence - Contractor, **`KeyOS`[EMPLOYER_COMPANY_NAME]** - Sisal , Milan. -NL- Machine Learning solution for: Maximizing the Player Lifetime Value via -NL- personalized advertising. -NL- Skill acquired: -NL- { Predictions with Partial feedback (multi-armed bandit algorithms) (MATLAB); -NL- { Recommendation Systems for web product advertising (Python, Vowpal Wabbit); -NL- { Custom Personalized Promotions to maximize the customer accetance via -NL- predictive analysis; -NL- 2014–2015 **`Postdoctoral Researcher`[EMPLOYER_ROLE]**, **`Università degli studi di Milano, Milan, supervised by -NL- Nicolò Cesa-Bianchi.`[EDUCATION_INSTITUTE]** -NL- Online Learning - Time Series Mining - Real Time -NL- Bidding. Skill acquired: -NL- { Predictions with Partial Feedback (bandit algorithms); { -NL- Recommendation Systems via machine learning; -NL- { Scalable prediction algorithms (Online/Stream Data Mining) -NL- (MATLAB); { Real Time Bidding. -NL- 2014–2014 **`Research Assistant`[EMPLOYER_ROLE]**, **`Oxford Brookes Vision Group`[EMPLOYER_COMPANY_NAME]**, Oxford. -NL- Computer Vision. Gesture-Action -NL- recognition. Skill acquired: -NL- { Feature extraction from video frames (MATLAB, Python, -NL- OpenCV); { Real Time Activity Recognition research; -NL- { Multilinear classification (linear classifier where each sample has more than one -NL- label) (MATLAB). -NL- 2012–2013 **`Data Scientist`[EMPLOYER_ROLE]** - Contractor, **`Agenzia delle dogane`[EMPLOYER_COMPANY_NAME]**, Rome. -NL- Risk analysis of customs -NL- bills. Skill acquired: -NL- { Analysis of complex system; -NL- { Data integration and transformation from heterogeneous source data (Java, MATLAB); { -NL- Real-time automated detection of trade customs frauds based on the analysis of customs -NL- declarations (C++, Java). -NL- 2011–2012 **`Data Scientist`[EMPLOYER_ROLE]** - Contractor, **`Swiss RE Ltd`[EMPLOYER_COMPANY_NAME]**, Zurich. -NL- NLP Text mining applications and complex data -NL- extraction. Skill acquired: -NL- { Auto Categorization of documents via NLP (Python, Java). -NL- { Complex Data Extraction from documents (regex, dynamic programming) (MATLAB). -NL- 2010–2013 **`Research Assistant`[EMPLOYER_ROLE]**, **`IDSIA`[EMPLOYER_COMPANY_NAME]**, Lugano. -NL- Time series classification with imprecise -NL- models. Skill acquired: -NL- { Robust classification algorithms research; -NL- { General imprecise probabilistic methods (credal sets, convex optimizations, utility -NL- measures); -NL- { Working in a private institute of research team. -NL- OTHER WORK EXPERIENCE (Development and Project -NL- Manager) -NL- 2013–2013 **`Developer consulting`[EMPLOYER_ROLE]**, **`Esalpi`[EMPLOYER_COMPANY_NAME]**, Milan. -NL- Optimized Web application for smartphone (Java, J2ME). -NL- 2009–2010 **`Developer consulting`[EMPLOYER_ROLE]**, **`Links`[EMPLOYER_COMPANY_NAME]**, Milan. -NL- Java Desktop application for supply-chain (Java Web Enterprise). -NL- 2007–2008 **`Software designer`[EMPLOYER_ROLE]**, Linkas, Milan. -NL- CRM Java J2ME mobile application. -NL- 2004–2007 **`Analyst-Developer`[EMPLOYER_ROLE]**, **`Esalpi`[EMPLOYER_COMPANY_NAME]**, Milan. -NL- Java Web enterprise application. Access management platform, attendance, -NL- canteen, visitors and external companies (Java). -NL- 2003–2004 **`Developer`[EMPLOYER_ROLE]**, **`Accenture`[EMPLOYER_COMPANY_NAME]**, Milan. -NL- Java Web and Desktop application for supply-chain (Java). -NL- 2002–2003 **`Junior developer`[EMPLOYER_ROLE]**, **`Plug-in`[EMPLOYER_COMPANY_NAME]**, Milan. -NL- Visual basic Desktop application for o ce management. (Visual Basic) -NL- **`LANGUAGES`[OTHERS_HEADING]** -NL- Language mother tongue -NL- Italian -NL- Language intermediate -NL- English -NL- **`KEY SKILLS`[SKILLS_HEADING]** -NL- IT skills { Experienced in programming in Java (intermediate), C++ (basic), MATLAB -NL- (expert), R (basic), Python (intermediate), Scala (basic), Hadoop (basic), -NL- HIVE (intermediate), SPARK ML (basic), Zeppelin notebook, PowerBI, GIT -NL- and using database such as HIVE, Sql server , MySQL and Access; -NL- { Proficient in many Microsoft O ce packages, UNIX and Windows operating -NL- systems; -NL- { Using tools like: atlassian JIRA, Confluence, Jenkins, Slack and Bitbucket. -NL- { Experienced in Data Mining Frameworks: Apache Hivemall (Scalable machine -NL- learning with HIVE), Microsoft AZURE (HDInsight, VM, Data Lake, Data Factory ), -NL- WEKA (Data Mining Software in Java), MOA (MASSIVE ONLINE ANALYSIS), -NL- Vowpal Wabbit (Scalable implementation of Online Machine Learning). -NL- { Big Data Analytics platforms: Pentaho and Omniture ADOBE Reports&Analytics -NL- Data Mining { KEYwords (Field|Application): Data Mining (Data Analysis), Classification (Phe- -NL- skills nomena Predictions), Clustering (e.g. Customer Segmentation), Recommenda- -NL- tion System (e.g. Rating - Preferences User-Products, User-based, Item-Based, -NL- Content-Based, Multi-Armend Bandits for exploration), Filtering (e.g. Spam Fil- -NL- tering, Real-time automated detection of frauds), Real Time Bidding (e.g. place -NL- Automatically Auction Reserve Price), Computer Vision (e.g. Human Activity -NL- Recognition on Video Stream, Continuous Activity Recognition), Text Mining -NL- (Auto Categorization of Documents), Big Data (Scalable Prediction Models), -NL- Learning with Partial Feedback (e.g. Optimizing Online Display Ads, Ad Click -NL- Prediction), Active Learning (Save expensive annotation process in prediction -NL- models learning), Rare Class Detection (fraud detection), Online Open World -NL- Recognition (scalable learning classifier with incremental addition of new classes -NL- and automatized discovering of new classes), Deep Learning (CNN) features -NL- (image classification), Domain adaptation (use classifiers learned from di erent -NL- context), Natural Language Processing. -NL- People & { Supervised the laboratory project of an undergraduate (in Academia) and Data -NL- Project Science team (industry), both day-to-day running of the project and its overall -NL- Management planning via agile software development; -NL- { Mentor to other postgraduate students and junior Data Scientists; -NL- { Great and positive personality for motivate the team. -NL- Problem { Working across di erent scientific areas of Machine Learning tecnologies, -NL- demon-solving strated independent though in analysing problems, adopting suitable -NL- strategies and developing new and consolidated techniques. The results are being -NL- reviewed for publications (see my website). I am very enthusiastic to learn (very fast) -NL- new technologies and methodologies. I am always open to positive discussions and -NL- challenges for improve my personal and team skills set. My best skill is to automate -NL- processes through a full understanding of the problems and solutions. I -NL- work with passion and for objectives. -NL- INTEREST AND ACTIVITIES -NL- Sports runner, skier, walk in nature -NL- Chess amateur player -NL- Travel an avid backpacker traveller -NL- 